﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SparklineDemo.Controllers;
using Newtonsoft.Json;
using SparklineDemo.Models;

namespace SparklineDemo.Controllers
{
    public class HomeController : Controller
    {
        public static AdventureWorksModelContainer context = new AdventureWorksModelContainer();
        //
        // GET: /Home/

        public ActionResult Index()
        {
            ViewBag.Message = "This demo demonstrates the Ignite UI Sparkline.";

            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "This demo demonstrates the Ignite UI Sparkline.";
            return View();
        }

        public ActionResult MVCDemo()
        {
            ViewBag.Message = "Ignite UI Sparklines showing sick leave hours for employees. All 4 different sparkline types with tooltips and default Infragistics theme styling. Value changing available so you can see the negavite value handling for bar and area series. Toggle for inline applies style to remove the background and shrinks the control to produce a Sparkline that is more suitable for inline and sometimes better for embedding in data tables and grids.";
            var dep = context.Departments.Where(x => x.Name == "Marketing").First();
            ViewBag.Department = dep.Name;
            return View(dep.EmployeeDepartmentHistories.Where(x => x.EndDate == null).Select(x => x.Employee).ToList());
        }

        public ActionResult SimpleMVC()
        {
            ViewBag.Message = "Ignite UI Sparkline with a very basic setup using the MVC wrappers with most left to defaults.";
            ViewBag.Department = (string)context.Departments.First().Name;
            return View(context.Departments.First().EmployeeDepartmentHistories.Where(x => x.EndDate == null).Select(x => x.Employee).ToList());
        }


        public ActionResult Demo()
        {
            ViewBag.Message = "Ignite UI Sparklines showing sick leave hours for employees. All 4 different sparkline types with tooltips and vertical/horizontal axis visible. Custom CSS styling and event handling. Value changing available so you can see the negavite value handling for bar series. ";
            var dep = context.Departments.Where(x => x.Name == "Purchasing").First();
            ViewBag.Department = dep.Name;
            return View(dep.EmployeeDepartmentHistories.Where(x => x.EndDate == null).Select(x => x.Employee).OrderBy(x => x.HireDate).ToList());
        }
    }
}
